RNEWS(1)

NAME
rnews - receive news from a UUCP connection

SYNOPSIS
rnews [ -h host ] [ -v ] [ -U ] [ -N ] [ -S master ] [ input ]

DESCRIPTION
Rnews reads messages typically queued by a UUCP newsfeed and sends them to the local InterNetNews server. The message is read from the specified input file, or standard input if no input is named.

When sent over UUCP, Usenet articles are typically joined in a single batch to reduce the UUCP overhead. Batches can also be compressed, to reduce the communication time. If a message does not start with a number sign (``#'') and an exclamation point, then the entire input is taken as a single news article. If it does start with with those two characters, then the first line is read and interpreted as a batch command.

If the command is ``#! rnews nnn'' where nnn is a number, then the next nnn bytes (starting with the next line) are read as a news article.

If the command is ``#! cunbatch'' then the rest of input is fed to the compress(1) program with the ``-d'' flag to uncompress it, and the output of this pipe is read as rnews's input. This is for historical compatibility — there is no program named cunbatch. A compressed batch will start with a ``#! cunbatch'' line, then contain a series of articles separated by ``#! rnews nnn'' lines.

If the command is any other word, then rnews will try to execute a program with that name in the directory /usr/lib/news/rnews. The batch will be fed into the program's standard input, and the standard output will be read back as input into rnews.

If rnews detects any problems with an article such as a missing header, or an unintelligible reply from the server, it will save a copy of the article in the /var/spool/news/in.coming/bad directory.

OPTIONS

-S  If the ``-S'' flag is used, then rnews will connect to the specified host. If the flag is not used, it will try to connect to the server by opening a Unix-domain stream connection. If that fails, it will try to open a TCP connection to the default remote server.

-U  If the server is not available, the message is spooled into a new file created in the /var/spool/news/in.coming directory. The ``-U'' flag may be used to send all spooled messages to the server once it becomes available again, and can be invoked regularly by cron(8).

-N  Normally, if unpacking the input fails it is re-spooled to /var/spool/news/in.coming for another attempt later. If the ``-N'' flag is used then no such re-spooling is done and rnews exits with status value ``9'' to indicate this.

-v  If the ``-v'' flag is used, it will print a notice of all errors on the standard error, naming the input file (if known) and printing the first few characters of the input. Errors are always logged through syslog(3).

-h  If the ``-h'' flag is given, or failing that, the enviroment variable UU_MACHINE is set, then rnews will log the Message-ID, and host, for each article offered to the server via syslog(3). Logging will only be done if the value is not an empty string.

BUGS
Rnews cannot process articles that have embedded \0's in them.

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

SEE ALSO
innd(8).